<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+---------------------------------------------------------+
| Ke Yazlar Modl 1.0
| kodlama: SoulSmasher  2008
| web: http://www.soulsmasher.net
| email: soulsmasher@gmail.com
+--------------------------------------------------------*/

include "../../maincore.php";
require_once THEMES."templates/header.php";
include INFUSIONS."koseyazilari/infusion_db.php";
include INFUSIONS."koseyazilari/koseyazilari_include.php";

if (file_exists(INFUSIONS."koseyazilari/locale/".$settings['locale'].".php")) {
	include_once INFUSIONS."koseyazilari/locale/".$settings['locale'].".php";
} else {
	include_once INFUSIONS."koseyazilari/locale/Turkish.php";
}
if (!iMEMBER) { redirect("../../index.php"); }

//SEO output handling
add_to_title($locale['kose_601']);
//SEO

$aid=isset($_GET['aid'])?$_GET['aid']:"";
$editkontrol=false;
if (isset($_GET['action']) && $_GET['action']=="edit" && isset($_GET['id']) && isNum($_GET['id']) && checkrights("KY") && defined("iAUTH") && $aid == iAUTH) { $editkontrol=true; }
if (!$userdata['user_yazar'] && !$editkontrol) { redirect("../../index.php"); }

opentable("<center><strong><big>".$locale['kose_600']."</big></strong></center>"); //ana tablo ba

if (isset($_GET['update'])) {
	if($_GET['update']=="ok") {
	echo "<div style='text-align: center; width: 100%; margin-bottom: 20px;'>\n";
	echo $locale['kose_605'];
	echo "</div>\n";
	} else {
	redirect(BASEDIR."index.php");
	}
}

if(isset($_GET['error']) && isNum($_GET['error'])) {
echo "<div style='text-align: center; width: 100%;'><big>\n";
$error=$_GET['error'];
	if ($error==1) {
	echo $locale['kose_602']."\n";
	}
echo "</big></div>\n";

} else {


if (isset($_POST['guncelle'])) {
$isim=stripinput($_POST['isim']);
if(!empty($_FILES['avatar']['name']) && is_uploaded_file($_FILES['avatar']['tmp_name'])) {
		$newavatar = $_FILES['avatar'];
		$avatarext = strrchr($newavatar['name'],".");
		$avatarname = substr($newavatar['name'], 0, strrpos($newavatar['name'], "."));
		if (preg_check("/^[-0-9A-Z_\[\]]+$/i", $avatarname) && preg_check("/(\.gif|\.GIF|\.jpg|\.JPG|\.jpeg|\.JPEG|\.png|\.PNG)$/", $avatarext) && $newavatar['size'] <= $ayar['ayar_maxsize']) {
		$avatarname = $userdata['user_id']."_".$avatarname.$avatarext;
		move_uploaded_file($newavatar['tmp_name'], KOSEAVATAR.$avatarname);
		chmod(KOSEAVATAR.$avatarname,0644);
		$set_avatar = ", yazar_avatar='".$avatarname."'";
		if ($size = @getimagesize(KOSEAVATAR.$avatarname)) {
				if ($size['0'] > $ayar['ayar_maxwidth'] || $size['1'] > $ayar['ayar_maxheight']) {
					@unlink(KOSEAVATAR.$avatarname);
					$set_avatar = "";
				} elseif (!verify_image(KOSEAVATAR.$avatarname)) {
					@unlink(KOSEAVATAR.$avatarname);
					$set_avatar = "";
				}
			} else {
				@unlink(KOSEAVATAR.$avatarname);
				$set_avatar = "";
			}
		
		} else {
			$set_avatar = "";
		}
}

if (isset($_POST['avatarsil'])) {
		@unlink(KOSEAVATAR.$avatar);
		$set_avatar = ", yazar_avatar=''";
	}


$soul=mysql_query("UPDATE ".DB_KOSEYAZILARI_YAZARLAR." SET yazar_isim='".$isim."'".($set_avatar ? $set_avatar : "")." WHERE yazar_id='".$_POST['id']."'");
	if($soul) {
		if ($editkontrol) {
		redirect(FUSION_SELF.$aidlink."&action=edit&id=".$_POST['id']."&update=ok");
		} else {
		redirect(FUSION_SELF."?update=ok");
		}
	} else {
	echo "<div style='text-align: center; width: 100%; margin-bottom: 20px;'>\n";
	echo $locale['kose_606']."<br />".mysql_error();
	echo "</div>\n";
	}

}

//yazarsa normal profili ve yazlarn dizmek iin formdaki alanlar dolduracak veriler
if($userdata['user_yazar']) {
	$formsorgu=mysql_query("SELECT yazar_isim, yazar_id, yazar_avatar FROM ".DB_KOSEYAZILARI_YAZARLAR." WHERE yazar_userid='".$userdata['user_id']."'");
	$formdata=mysql_fetch_array($formsorgu);
	$isim=$formdata['yazar_isim'];
	$id=$formdata['yazar_id'];
	$avatar=$formdata['yazar_avatar'];
}

//adam yazar olabilir, ama admindir vs edit akacaktr, bu nedenle form verileri deiecektir
if ($editkontrol) {
$editsorgu=mysql_query("SELECT yazar_isim, yazar_id, yazar_avatar FROM ".DB_KOSEYAZILARI_YAZARLAR." WHERE yazar_id='".$_GET['id']."'");
	if(mysql_num_rows($editsorgu)) {
	$editdata=mysql_fetch_array($editsorgu);
		$isim=$editdata['yazar_isim'];
		$id=$editdata['yazar_id'];
		$avatar=$editdata['yazar_avatar'];
	} else { //o id geersiz id olabilir
	redirect(FUSION_SELF."?error=1");
	}
}


echo "<form name='inputform' method='post' onsubmit='return dogrula(this);' enctype='multipart/form-data'>\n
	<table cellpadding='0' cellspacing='0' width='70%' style='text-align: center; margin: 0px auto;'>\n
	<tr><td width='40%' class='tbl'>".$locale['kose_603']."</td>
	<td width='60%'><input type='text' name='isim' value='".$isim."' class='textbox' style='width: 250px;' /></td></tr>\n";
	
if (!$avatar) {
	echo "<tr>\n";
	echo "<td valign='top' class='tbl' width='40%'>".$locale['kose_613'].":</td>\n";
	echo "<td class='tbl' width='60%'><input type='file' name='avatar' class='textbox' style='width:200px;' /><br />\n";
	echo "<span class='small2'>".$locale['kose_614']."</span><br />\n";
	echo "<span class='small2'>".sprintf($locale['kose_615'], parsebytesize($ayar['ayar_maxsize']), $ayar['ayar_maxwidth'], $ayar['ayar_maxheight'])."</span></td>\n";
	echo "</tr>\n";
} else {
	echo "<tr>\n";
	echo "<td valign='top' class='tbl' width='40%'>".$locale['kose_613'].":</td>\n";
	echo "<td class='tbl' width='60%'><img src='".KOSEAVATAR.$avatar."' alt='".$locale['kose_613']."' /><br />\n";
	echo "<input type='checkbox' name='avatarsil' value='y' /> ".$locale['kose_616']."\n";
	echo "<input type='hidden' name='avatar' value='".$avatar."' /></td>\n";
	echo "</tr>\n";
}	
	
echo "<input type='hidden' name='id' value='".$id."' />
	<tr><td colspan='2' width='100%' align='center'><input type='submit' class='button' name='guncelle' value='".$locale['kose_604']."' /></td></tr>\n
	</table></form>\n";

//Ara izgi
echo "<hr style='margin: 20px 0px 20px 0px;' />\n";	
//Ara izgi son


//imdi yazarn onaylanm ve onaylanmam yazlarn dizelim

//onayl yazlar bal
echo "<div style='text-align: center; width: 100%'><big><strong>\n".$locale['kose_607']."</strong></big></div>\n";
$onayli=mysql_query("SELECT yazi_baslik, yazi_id, yazi_date, yazi_tik FROM ".DB_KOSEYAZILARI_YAZILAR." WHERE yazi_yazarid='".$id."' AND yazi_onay='1'");
if (mysql_num_rows($onayli)) {
echo "<table cellpadding='0' cellspacing='0' border='0' width='80%' style='margin: 0px auto;'><tr>
<td width='50%' align='center' class='tbl'>".$locale['kose_609']."</td>\n
<td width='35%' align='center' class='tbl'>".$locale['kose_610']."</td>\n
<td width='15%' align='center' class='tbl'>".$locale['kose_611']."</td>\n
</tr>\n";
$sayac=0;
$cssclass=($sayac%2)?1:2;
	while($onaylidata=mysql_fetch_array($onayli)) {
	echo "<td width='50%' align='center' class='tbl".$cssclass."'><a href='".INFUSIONS."koseyazilari/yazi.php?id=".$onaylidata['yazi_id']."' title='".$onaylidata['yazi_baslik']."'>".trimlink($onaylidata['yazi_baslik'],50)."</a> (<a href='".INFUSIONS."koseyazilari/yaz.php?duzenle=".$onaylidata['yazi_id']."'>".$locale['kose_612']."</a>)\n
	<td width='35%' align='center' class='tbl".$cssclass."'>".showdate("longdate",$onaylidata['yazi_date'])."</td>\n
	<td width='15%' align='center' class='tbl".$cssclass."'>".$onaylidata['yazi_tik']."</td>\n
	</tr>\n";
	$sayac++;
	}
echo "</table>\n";
} else {
echo "<div style='text-align: center;'>\n".$locale['kose_608']."</div>\n";
}


//Ara izgi
echo "<hr style='margin: 20px 0px 20px 0px;' />\n";	
//Ara izgi son

//Onaysz yazlar
echo "<div style='text-align: center; width: 100%'><big><strong>\n".$locale['kose_607']."</strong></big></div>\n";
$onaysiz=mysql_query("SELECT yazi_baslik, yazi_id, yazi_date, yazi_tik FROM ".DB_KOSEYAZILARI_YAZILAR." WHERE yazi_yazarid='".$id."' AND yazi_onay='0'");
if (mysql_num_rows($onaysiz)) {
echo "<table cellpadding='0' cellspacing='0' border='0' width='80%' style='margin: 0px auto;'><tr>
<td width='50%' align='center' class='tbl'>".$locale['kose_609']."</td>\n
<td width='35%' align='center' class='tbl'>".$locale['kose_610']."</td>\n
<td width='15%' align='center' class='tbl'>".$locale['kose_611']."</td>\n
</tr>\n";
$sayac=0;
$cssclass=($sayac%2)?1:2;
	while($onaysizdata=mysql_fetch_array($onaysiz)) {
	echo "<td width='50%' align='center' class='tbl".$cssclass."'><a href='".INFUSIONS."koseyazilari/yazi.php?id=".$onaysizdata['yazi_id']."' title='".$onaysizdata['yazi_baslik']."'>".trimlink($onaysizdata['yazi_baslik'],50)."</a> (<a href='".INFUSIONS."koseyazilari/yaz.php?duzenle=".$onaysizdata['yazi_id']."'>".$locale['kose_612']."</a>)\n
	<td width='35%' align='center' class='tbl".$cssclass."'>".showdate("longdate",$onaysizdata['yazi_date'])."</td>\n
	<td width='15%' align='center' class='tbl".$cssclass."'>".$onaysizdata['yazi_tik']."</td>\n
	</tr>\n";
	$sayac++;
	}
echo "</table>\n";
} else {
echo "<div style='text-align: center;'>\n".$locale['kose_608']."</div>\n";
}


echo "<script type='text/javascript'>\n";
echo "function dogrula(frm) {\n"."if(frm.isim.value=='') {\n";
echo "alert('".$locale['kose_508']."');\n"."return false;\n}\n}\n</script>\n";
}//error u kapadk
closetable(); //ana tablo son
require_once THEMES."templates/footer.php";
?>