<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+---------------------------------------------------------+
| Ke Yazlar Modl 1.01
| kodlama: SoulSmasher  2008
| web: http://www.soulsmasher.net
| email: soulsmasher@gmail.com
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

if (!defined("IN_FUSION")) { die("Eriim Engellendi"); }

include INFUSIONS."koseyazilari/infusion_db.php";

if (file_exists(INFUSIONS."koseyazilari/locale/".$settings['locale'].".php")) {
	include_once INFUSIONS."koseyazilari/locale/".$settings['locale'].".php";
} else {
	include_once INFUSIONS."koseyazilari/locale/Turkish.php";
}

// Infusion Information
$inf_title = $locale['kose_001'];
$inf_version = "1.01";
$inf_developer = "SoulSmasher";
$inf_email = "soulsmasher@gmail.com";
$inf_weburl = "http://www.soulsmasher.net/";
$inf_description = $locale['kose_002'];

$inf_folder = "koseyazilari"; // The folder in which the infusion resides.

// Delete any items not required here.
$inf_newtable[1] = DB_KOSEYAZILARI_YAZILAR." (
	yazi_id SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
	yazi_baslik VARCHAR(255) NOT NULL,
	yazi_yazarid SMALLINT(5) NOT NULL,
	yazi_date INT(10) UNSIGNED NOT NULL DEFAULT '0',
	yazi_icerik TEXT NOT NULL,
	yazi_ozet VARCHAR(255) NOT NULL,
	yazi_keywords VARCHAR(255) NOT NULL,
	yazi_onay TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
	yazi_tik INT(10) UNSIGNED NOT NULL DEFAULT '0',
	yazi_resim VARCHAR(100) NOT NULL DEFAULT '',
	PRIMARY KEY (yazi_id)
) TYPE=MyISAM;";

$inf_newtable[2] = DB_KOSEYAZILARI_YAZARLAR." (
	yazar_id SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
	yazar_userid SMALLINT(5) UNSIGNED NOT NULL,
	yazar_tik INT(10) UNSIGNED NOT NULL DEFAULT '0',
	yazar_isim VARCHAR(255) NOT NULL,
	yazar_avatar VARCHAR(100) NOT NULL DEFAULT '',
	yazar_yaziorder SMALLINT(5) UNSIGNED NOT NULL DEFAULT '0',
	PRIMARY KEY (yazar_id)
) TYPE=MyISAM;";

$inf_newtable[3] = DB_KOSEYAZILARI_REKLAM." (
	reklam_id SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
	reklam_isim VARCHAR(255) NOT NULL,
	reklam_kod TEXT NOT NULL,
	PRIMARY KEY (reklam_id)
) TYPE=MyISAM;";

$inf_newtable[4] = DB_KOSEYAZILARI_AYARLAR." (
	ayar_maxwidth SMALLINT(5) UNSIGNED NOT NULL DEFAULT '0',
	ayar_maxheight SMALLINT(5) UNSIGNED NOT NULL DEFAULT '0',
	ayar_maxsize INT(20) UNSIGNED NOT NULL DEFAULT '0',
	ayar_maxresimwidth SMALLINT(5) UNSIGNED NOT NULL DEFAULT '0',
	ayar_maxresimheight SMALLINT(5) UNSIGNED NOT NULL DEFAULT '0',
	ayar_maxresimsize INT(20) UNSIGNED NOT NULL DEFAULT '0',
	ayar_reklam TINYINT(1) UNSIGNED NOT NULL DEFAULT '0'
) TYPE=MyISAM;";

//$inf_altertable[1] = "".DB_USERS." ADD user_yazar TINYINT(1) UNSIGNED DEFAULT '0' AFTER user_sig";

//$inf_insertdbrow[1] = DB_KOSEYAZILARI_YAZARLAR." (yazar_id, yazar_userid, yazar_isim, yazar_yaziorder) VALUES ('1', '".$userdata['user_id']."', '".$userdata['user_name']."', '0')";

$inf_insertdbrow[1] = DB_KOSEYAZILARI_AYARLAR." (ayar_maxwidth, ayar_maxheight, ayar_maxsize, ayar_maxresimwidth, ayar_maxresimheight, ayar_maxresimsize, ayar_reklam) VALUES ('200','200','65536','300','300','102400','1')";

$inf_droptable[1] = DB_KOSEYAZILARI_YAZILAR;
$inf_droptable[2] = DB_KOSEYAZILARI_YAZARLAR;
$inf_droptable[3] = DB_KOSEYAZILARI_REKLAM;
$inf_droptable[4] = DB_KOSEYAZILARI_AYARLAR;

$inf_adminpanel[1] = array(
	"title" => $locale['kose_001'],
	"image" => "koseyazilari.png",
	"panel" => "koseyazilari_admin.php",
	"rights" => "KY"
);

$inf_sitelink[1] = array(
	"title" => $locale['kose_001'],
	"url" => "index.php",
	"visibility" => "0"
);

$inf_sitelink[2] = array(
	"title" => $locale['kose_003'],
	"url" => "sitene_ekle.php",
	"visibility" => "0"
);

/*
// Change of core table below.
if (isset($_POST['infuse']) && isset($_POST['infusion'])) {
$result = dbquery("ALTER TABLE ".DB_USERS." ADD user_yazar TINYINT(1) UNSIGNED DEFAULT '0' AFTER user_sig");
}

// Restore of core table below.
else if (isset($_GET['defuse']) && isnum($_GET['defuse'])) {
$result = dbquery("ALTER TABLE ".DB_USERS." DROP user_yazar");
}
*/

?>